@ECHO off

set /p current= Folder Name :

set /p new= Armor ID :

FOR /R %current%\helm %%i in (*.*) do REN "%%i" f_helm%new%.*
FOR /R %current%\body %%i in (*.*) do REN "%%i" f_body%new%.*
FOR /R %current%\arm %%i in (*.*) do REN "%%i" f_arm%new%.*
FOR /R %current%\wst %%i in (*.*) do REN "%%i" f_wst%new%.*
FOR /R %current%\leg %%i in (*.*) do REN "%%i" f_leg%new%.*

REN %current% pl%new%

pause